DropDownMenu = class(Turbine.UI.Lotro.Button)

function DropDownMenu:Constructor(parent, index, t, outgoing, incoming)
	Turbine.UI.Lotro.Button.Constructor(self);

	self.parent = parent;
	self.label = t;
	self.outgoing = outgoing;
	self.incoming = incoming;
	self.items = { };

	self:SetParent(parent);
	self.dropdown = Turbine.UI.ContextMenu();

	local items = self.dropdown:GetItems();
	for k, v in ipairs(self.label) do
		self.items[k] = DropDownItem(v, self, k);
		items:Add(self.items[k]);
	end

	self:SetIndex(index);
end

function DropDownMenu:SetValue(value)
	if self.incoming ~= nil then
		value = self.incoming(value);
	end
	self:SetIndex(value);
end

function DropDownMenu:SetIndex(index, click)
	for k, v in ipairs(self.items) do
		v:SetChecked(k == index);
	end
	self:SetText(self.label[index]);
	self.index = index;
	if click and self.outgoing ~= nil then
		self.outgoing(self, self.index);
	end
end

function DropDownMenu:MouseClick(args)
	self.dropdown:ShowMenuAt(self:PointToScreen(0, self:GetHeight()));
end

DropDownItem = class(Turbine.UI.MenuItem)

function DropDownItem:Constructor(label, parent, index)
	Turbine.UI.MenuItem.Constructor(self, label);

	self.parent = parent;
	self.index = index;
end

function DropDownItem:Click(args)
	self.parent:SetIndex(self.index, true);
end