local size = 22;
local width = 100;

table.insert(layouts, {
	name = "Grid",

	width = width,
	height = size * 3,

	layout = {
		{
			name = "Background",
			element = PMCBackground,
			settings = { opacity = 1.0 },
			default = {
				color = {
					{ color = { H = nil, S = nil, V = 0.5 }, "[not-leader]" },
					{ color = { H = 4.0, S = 0.0, V = nil }, "[talking]" },
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "[ready]" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "[not-ready]" },
					{ color = { R = 1.0, G = 1.0, B = 1.0 }, "[unk-ready]" }
				}
			}
		},

		{
			name = "Name",
			element = PMCName,
			settings = { x = 5, y = 0, z = 2, w = width - 10, h = size },
			default = {
				color = {
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "[linkdead]" },
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "[voice]" }
				}
			}
		},

		{
			name = "Morale",
			element = PMCMoraleNG,
			settings = { x = 3, y = 3, z = 1, w = width - 6, h = size * 3 - (size - 6) / 2 - 6 },
			default = {
				color = {
					{ color = { R = 0.0, G = 0.0, B = 0.0 }, "[burglar]" },
					{ color = { R = 0.0, G = 0.0, B = 0.6 }, "[captain]" },
					{ color = { R = 0.6, G = 0.0, B = 0.0 }, "[champion]" },
					{ color = { R = 0.6, G = 0.3, B = 0.0 }, "[guardian]" },
					{ color = { R = 0.0, G = 0.6, B = 0.0 }, "[hunter]" },
					{ color = { R = 0.0, G = 0.6, B = 0.6 }, "[loremaster]" },
					{ color = { R = 0.6, G = 0.6, B = 0.0 }, "[minstrel]" },
					{ color = { R = 0.6, G = 0.6, B = 0.6 }, "[runekeeper]" },
					{ color = { R = 0.6, G = 0.0, B = 0.6 }, "[warden]" }
				}
			}
		},

		{
			name = "Power",
			element = PMCPowerNG,
			settings = { x = 3, y = size * 3 - (size - 6) / 2 - 3, z = 1, w = width - 6, h = (size - 6) / 2 },
			default = { fill = 1400 }
		},

		{
			name = "TL",
			element = PMCSquareOutline,
			settings = { x = 3, y = 3, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "T",
			element = PMCSquareOutline,
			settings = { x = (width - (size / 2)) / 2, y = 3, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "TR",
			element = PMCSquareOutline,
			settings = { x = width - 3 - (size / 2), y = 3, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "L",
			element = PMCSquareOutline,
			settings = { x = 3, y = (size * 2.5) / 2, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "C",
			element = PMCEffect,
			settings = { x = (width - size) / 2, y = size, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 10,
				color = { }
			}
		},

		{
			name = "R",
			element = PMCSquareOutline,
			settings = { x = width - 3 - (size / 2), y = (size * 2.5) / 2, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "BL",
			element = PMCSquareOutline,
			settings = { x = 3, y = size * 2.5 - 2, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "B",
			element = PMCSquareOutline,
			settings = { x = (width - (size / 2)) / 2, y = size * 2.5 - 2, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "BR",
			element = PMCSquareOutline,
			settings = { x = width - 3 - (size / 2), y = size * 2.5 - 2, z = 2, w = size / 2, h = size / 2 },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		}
	},

	class = {
		[Turbine.Gameplay.Class.Burglar] = {
			C	= { color = { { color = { }, "<poison-curable>" } } }
		},

		[Turbine.Gameplay.Class.Captain] = {
			C	= { color = { { color = { }, "<fear-curable>" } } },
			TL	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Rallying Cry" } } },
			T	= { color = { { color = { R = 1.0, G = 0.0, B = 0.0 }, "Valiant Strike" } } },
			TR	= { color = { { color = { R = 1.0, G = 1.0, B = 0.0 }, "Words of Courage" } } },
			BL	= {
				color = {
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "Shield-brother", "Watchful Shield-brother" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "Blade-brother" },
					{ color = { R = 0.0, G = 0.0, B = 1.0 }, "Song-brother" }
				}
			},
			B	= {
				color = {
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "To Arms (Shield-brother)", "To Arms (Fellowship Shield-brother)" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "To Arms (Blade-brother)", "To Arms (Fellowship Blade-brother)" },
					{ color = { R = 0.0, G = 0.0, B = 1.0 }, "To Arms (Song-brother)", "To Arms (Fellowship Song-brother)" }
				}
			},
			BR	= { color = { { color = { R = 1.0, G = 1.0, B = 0.0 }, "War-cry" } } }
		},

		[Turbine.Gameplay.Class.Champion] = { },

		[Turbine.Gameplay.Class.Guardian] = {
			BL	= {
				color = {
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "Protection" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "Protection by the Sword" },
					{ color = { R = 0.0, G = 0.0, B = 1.0 }, "Shield Wall" }
				}
			}
		},

		[Turbine.Gameplay.Class.Hunter] = {
			C	= { color = { { color = { }, "<poison-curable>" } } }
		},

		[Turbine.Gameplay.Class.LoreMaster] = {
			C	= { color = { { color = { }, "<wound-curable>", "<disease-curable>" } } },
			BL	= { color = { { color = { R = 1.0, G = 0.0, B = 0.0 }, "Charged Air" } } },
			B	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Sign of Power: Righteousness" } } },
			BR	= { color = { { color = { R = 0.0, G = 0.0, B = 1.0 }, "Sign of Power: Vigilance" } } }
		},

		[Turbine.Gameplay.Class.Minstrel] = {
			C	= { color = { { color = { }, "<fear-curable>" } } },
			TL	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Soliloquy of Spirit" } } },
			T	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Enlivening Chord" } } },
			TR	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Valar's Grace" } } },
			BL	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Fellowship's Heart" } } }
		},

		[Turbine.Gameplay.Class.RuneKeeper] = {
			TL	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Prelude to Hope" } } },
			T	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Mending Verse" } } },
			TR	= {
				color = {
					{ color = { R = 0.0, G = 0.0, B = 1.0 }, "Writ of Health - Tier 3" },
					{ color = { R = 0.0, G = 1.0, B = 1.0 }, "Writ of Health - Tier 2" },
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "Writ of Health - Tier 1" }
				}
			},
			L	= { color = { { color = { R = 1.0, G = 1.0, B = 1.0 }, "Their Weapons Shall Not Harm Us" } } },
			R	= { color = { { color = { R = 0.0, G = 0.0, B = 1.0 }, "Shall Not Fall This Day" } } },
			BL	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Essay of Exaltation" } } },
			B	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "That Which Does Not Kill Us" } } },
			BR	= { color = { { color = { R = 0.0, G = 0.0, B = 1.0 }, "Glorious Foreshadowing", "Wondrous Foreshadowing" } } }
		},

		[Turbine.Gameplay.Class.Warden] = {
			BL	= { color = { { color = { R = 0.0, G = 1.0, B = 0.0 }, "Conviction" } } },
			BR	= {
				color = {
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "Conviction - Physical Mastery" },
					{ color = { R = 0.0, G = 0.0, B = 1.0 }, "Conviction - Threat Reduction" }
				}
			}
		}
	}
});