local size = 22;
local width = 100;

table.insert(layouts, {
	name = "Line",

	width = size * 11 + width,
	height = size,

	post = function(window)
		if window.petclass ~= nil then
			local triangle = Turbine.UI.Control();

			triangle:SetZOrder(2);
			triangle:SetParent(window);
			triangle:SetPosition(0, 0);
			triangle:SetSize(size, size);
			triangle:SetVisible(true);
			triangle:SetMouseVisible(false);
			triangle:SetBackground("moebius92/PartyFrame/res/triangle.tga");
			triangle:SetBackColorBlendMode(Turbine.UI.BlendMode.Multiply);
			triangle.opacity = 1.0;
			table.insert(window.controls[1].controls, triangle);
		end
	end,

	layout = {
		{
			name = "Background",
			element = PMCBackground,
			settings = { opacity = 0.3 },
			default = {
				color = {
					{ color = { R = 0.0, G = 0.0, B = 0.0 }, "[burglar]" },
					{ color = { R = 0.0, G = 0.0, B = 1.0 }, "[captain]" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "[champion]" },
					{ color = { R = 1.0, G = 0.5, B = 0.0 }, "[guardian]" },
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "[hunter]" },
					{ color = { R = 0.0, G = 1.0, B = 1.0 }, "[loremaster]" },
					{ color = { R = 1.0, G = 1.0, B = 0.0 }, "[minstrel]" },
					{ color = { R = 1.0, G = 1.0, B = 1.0 }, "[runekeeper]" },
					{ color = { R = 1.0, G = 0.0, B = 1.0 }, "[warden]" }
				}
			}
		},

		{
			name = "Name",
			element = PMCName,
			settings = { x = size, y = 0, z = 1, w = size * 5, h = size },
			default = {
				color = {
					{ color = { H = nil, S = nil, V = 0.0 }, "[dead]" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "[linkdead]" },
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "[voice]" }
				}
			}
		},

		{
			name = "Morale",
			element = PMCMorale,
			settings = { x = size * 6 + 1, y = 3, z = 1, w = width - 2, h = (size - 6) / 2 },
			default = { threat = 5 }
		},

		{
			name = "Power",
			element = PMCPower,
			settings = { x = size * 6 + 1, y = size / 2, z = 1, w = width - 2, h = (size - 6) / 2 },
			default = { fill = 1400 }
		},

		{
			name = "R",
			element = PMCSquare,
			settings = { x = size / 4, y = size / 4, z = 1, w = size / 2, h = size / 2 },
			default = {
				color = {
					{ color = { H = nil, S = nil, V = 0.0 }, "[not-leader]" },
					{ color = { H = 4.0, S = 1.0, V = nil }, "[talking]" },
					{ color = { R = 0.0, G = 1.0, B = 0.0 }, "[ready]" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "[not-ready]" },
					{ color = { R = 1.0, G = 1.0, B = 1.0 }, "[unk-ready]" }
				}
			}
		},

		{
			name = "L1",
			element = PMCEffect,
			settings = { x = size * 1, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 10,
				color = {
					{
						color = { },
						"Dazed", "Feared", "Knocked Down", "Knocked Out", "Recovering", "Rooted", "Stunned", "Vulnerable"
					}
				}
			}
		},

		{
			name = "L2",
			element = PMCEffect,
			settings = { x = size * 2, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 10,
				color = {
					{ color = { }, "<fear-curable>" }
				}
			}
		},

		{
			name = "L3",
			element = PMCEffect,
			settings = { x = size * 3, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 10,
				color = {
					{ color = { }, "<wound-curable>" }
				}
			}
		},

		{
			name = "L4",
			element = PMCEffect,
			settings = { x = size * 4, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 10,
				color = {
					{ color = { }, "<disease-curable>" }
				}
			}
		},

		{
			name = "L5",
			element = PMCEffect,
			settings = { x = size * 5, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 10,
				color = {
					{ color = { }, "<poison-curable>" }
				}
			}
		},

		{
			name = "R1",
			element = PMCEffect,
			settings = { x = width + size * 6, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "R2",
			element = PMCEffect,
			settings = { x = width + size * 7, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "R3",
			element = PMCEffect,
			settings = { x = width + size * 8, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},

		{
			name = "R4",
			element = PMCEffect,
			settings = { x = width + size * 9, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false,
				effectDuration = 0,
				color = { }
			}
		},


		{
			name = "R5",
			element = PMCEffect,
			settings = { x = width + size * 10, y = 0, z = 2, w = size, h = size },
			default = {
				missing = false;
				effectDuration = 0,
				color = { }
			}
		}
	},

	class = {
		[Turbine.Gameplay.Class.Burglar] = {
			R1 = { color = { { color = { }, "Signal: Conviction", "Signal: Guile", "Signal: Strength", "Signal: Tactics" } } }
		},

		[Turbine.Gameplay.Class.Captain] = {
			R1 = { color = { { color = { }, "Blade-brother", "Shield-brother", "Song-brother", "Watchful Shield-brother" } } },

			R2 = {
				color = {
					{
						color = { },
						"To Arms (Blade-brother)", "To Arms (Shield-brother)", "To Arms (Song-brother)",
						"To Arms (Fellowship Blade-brother)", "To Arms (Fellowship Shield-brother)", "To Arms (Fellowship Song-brother)"
					}
				}
			},

			R3 = { color = { { color = { }, "War-cry" } } },

			R4 = { color = { { color = { }, "Make Haste", "Rallying Cry", "Valiant Strike", "Words of Courage" } } },

			R5 = {
				missing = true,
				color = {
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "Focus", "On Guard", "Relentless Attack" },
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "Motivated" },
					{
						color = { R = 1.0, G = 0.0, B = 0.0 },
						"Strength of Will (Shield-brother)", "Strength of Will (Blade-brother)", "Strength of Will (Song-brother)",
						"Strength of Will (Fellowship Shield-brother)", "Strength of Will (Fellowship Blade-brother)",
						"Strength of Will (Fellowship Song-brother)"
					},
					{
						color = { R = 1.0, G = 0.0, B = 0.0 },
						"Inspired (Shield-brother)", "Inspired (Blade-brother)", "Inspired (Song-brother)",
						"Inspired (Fellowship Shield-brother)", "Inspired (Fellowship Blade-brother)", "Inspired (Fellowship Song-brother)"
					},
					{ color = { R = 1.0, G = 0.0, B = 0.0 }, "Light of Elendil" },
				}
			}
		},

		[Turbine.Gameplay.Class.Champion] = { },

		[Turbine.Gameplay.Class.Guardian] = {
			R1 = { color = { { color = { }, "Protection", "Protection by the Sword", "Shield Wall" } } }
		},

		[Turbine.Gameplay.Class.Hunter] = {
			R1 = { color = { { color = { }, "Find the Path" } } },
			R2 = { color = { { color = { }, "Cleanse Poison Resistance" } } }
		},

		[Turbine.Gameplay.Class.LoreMaster] = {
			R1 = { color = { { color = { }, "Charged Air" } } },
			R2 = { color = { { color = { }, "Sign of Power: Righteousness" } } },
			R3 = { color = { { color = { }, "Sign of Power: Vigilance" } } }
		},

		[Turbine.Gameplay.Class.Minstrel] = {
			R1 = { color = { { color = { }, "Soliloquy of Spirit" } } },

			R2 = {
				color = {
					{
						color = { },
						"Enlivening Chord", "Inspire Fellows Buff", "The Melody of Battle",
						"Valar's Grace", "Words of Courage: Fear Resistance"
					}
				}
			},

			R3 = { color = { { color = { }, "Fellowship's Heart" } } },

			R4 = {
				color = {
					{
						color = { },
						"Tale of Battle", "Tale of Frost and Flame", "Tale of Heroism", "Tale of Warding",
						"Tale of Warding and Hope", "Improved Tale of Battle", "Improved Tale of Warding"
					}
				}
			},

			R5 = { color = { { color = { }, "Anthem of Composure", "Anthem of the Free People", "Anthem of Prowess", "Anthem of War" } } }
		},

		[Turbine.Gameplay.Class.RuneKeeper] = {
			R1 = {
				color = {
					{
						color = { },
						"Improved Rune-sign of Flame", "Improved Rune-sign of Storm", "Improved Rune-sign of Winter",
						"Prelude to Hope", "Rune-sign of Flame", "Rune-sign of Storm", "Rune-sign of Winter"
					}
				}
			},

			R2 = { color = { { color = { }, "Writ of Health - Tier 1", "Writ of Health - Tier 2", "Writ of Health - Tier 3" } } },

			R3 = { color = { { color = { }, "Mending Verse" } } },

			R4 = {
				color = {
					{
						color = { },
						"Essay of Exaltation", "Glorious Foreshadowing", "Rousing Words",
						"That Which Does Not Kill Us", "Wondrous Foreshadowing"
					}
				}
			},

			R5 = {
				color = {
					{
						color = { },
						"Do not fall to Fire", "Do not fall to Frost", "Do not fall to Lightning",
						"Do Not Fall This Day", "Shall Not Fall This Day", "Their Weapons Shall Not Harm Us"
					}
				}
			}
		},

		[Turbine.Gameplay.Class.Warden] = {
			R1 = { color = { { color = { }, "Conviction" } } },
			R2 = { color = { { color = { }, "Conviction - Physical Mastery", "Conviction - Threat Reduction" } } }
		}
	}
});