PartyFrameCommand = class(Turbine.ShellCommand);

function PartyFrameCommand:Constructor(plugin)
	Turbine.ShellCommand.Constructor(self);

	self.plugin = plugin;
	self.window = plugin.window;
end

function PartyFrameCommand:Execute(command, arguments)
	local args = snarfargs(arguments);

	if args[1] == "clear" then
		self.window:ClearRolls();
		for k, v in pairs(self.window.players) do
			v.rolls = { };
			v.rollOrder = nil;
			v:UpdateName();
		end
	elseif args[1] == "load" then
		if self.window.options:LoadSavedControls(args[2]) then
			Turbine.Shell.WriteLine("PartyFrame: " .. args[2] .. " loaded.");
		else
			Turbine.Shell.WriteLine("PartyFrame: " .. args[2] .. " not found.");
		end
	elseif args[1] == "options" then
		Turbine.PluginManager.ShowOptions(self.plugin);
	else
		Turbine.Shell.WriteLine("Usage: /pf <clear|load <name>|options>");
	end
end

function PartyFrameCommand:GetShortHelp()
	return "PartyFrame";
end