PartyFrameFellowshipTab = class(Turbine.UI.Window);

function PartyFrameFellowshipTab:Constructor(parent, index)
	Turbine.UI.Window.Constructor(self);

	self.parent = parent;
	self.index = index;
	self.dragging = false;

	self:SetBackColor(Turbine.UI.Color(1.0, 1.0, 1.0, 1.0));
	self.u = Turbine.UI.Control();
	self.u:SetParent(self);
	self.u:SetPosition(0, 0);
	self.u:SetSize(parent.size, parent.size);
	self.u:SetBackColor(Turbine.UI.Color(1.0, 1.0, 1.0, 1.0));
	self.u:SetBackColorBlendMode(Turbine.UI.BlendMode.Multiply);
	self.u:SetMouseVisible(false);
	self.d = Turbine.UI.Control();
	self.d:SetParent(self);
	self.d:SetSize(parent.size, parent.size);
	self.d:SetBackColor(Turbine.UI.Color(1.0, 1.0, 1.0, 1.0));
	self.d:SetBackColorBlendMode(Turbine.UI.BlendMode.Multiply);
	self.d:SetMouseVisible(false);
end

function PartyFrameFellowshipTab:Orient(right)
	if self.l > 0 then
		self:SetSize(self.parent.size, self.parent.layout.height * self.l);
		if (self.parent.layout.height * self.l) < (self.parent.size * 2) then
			self.d:SetVisible(false);
		else
			self.d:SetPosition(0, self.parent.layout.height * self.l - self.parent.size);
			self.d:SetVisible(true);
		end
		if right then
			self.u:SetBackground("moebius92/PartyFrame/res/ur.tga");
			self.d:SetBackground("moebius92/PartyFrame/res/lr.tga");
		else
			self.u:SetBackground("moebius92/PartyFrame/res/ul.tga");
			self.d:SetBackground("moebius92/PartyFrame/res/ll.tga");
		end
		self:SetVisible(self.parent.move);
	else
		self:SetVisible(false);
	end
end

function PartyFrameFellowshipTab:MouseDown(args)
	self.dragging = true;
	self.safeY = nil;
end

orientDFellowship = { };
orientDFellowship[1] = -1;
orientDFellowship[2] = 1;

function PartyFrameFellowshipTab:MouseMove(args)
	if self.dragging then
		if not IsSafeY(self, args.Y) then
			return;
		end

		if args.Y < -(self.parent.layout.height / 2) then
			local i = self.index - orientDFellowship[self.parent.orient];

			if self.parent.fellowtabs[i] ~= nil then
				local x = self.parent.fellowship[self.index];

				self.parent.fellowship[self.index] = self.parent.fellowship[i];
				self.parent.fellowship[i] = x;
				self.parent.fellowtabs[self.index] = self.parent.fellowtabs[i];
				self.parent.fellowtabs[self.index].index = self.index;
				self.parent.fellowtabs[i] = self;
				self.index = i;
				self.parent:GridArrange();
				self.safeY = math.huge;
			end
		elseif args.Y > (self:GetHeight() + self.parent.layout.height / 2) then
			local i = self.index + orientDFellowship[self.parent.orient];

			if self.parent.fellowtabs[i] ~= nil then
				local x = self.parent.fellowship[self.index];

				self.parent.fellowship[self.index] = self.parent.fellowship[i];
				self.parent.fellowship[i] = x;
				self.parent.fellowtabs[self.index] = self.parent.fellowtabs[i];
				self.parent.fellowtabs[self.index].index = self.index;
				self.parent.fellowtabs[i] = self;
				self.index = i;
				self.parent:GridArrange();
				self.safeY = -math.huge;
			end
		end
	end
end

function PartyFrameFellowshipTab:MouseUp(args)
	self.dragging = false;
end